@techreport{Agullo2014,
abstract = {Fast multipole methods (FMM) are a fundamental operation for the simulation of many physical problems. The high-performance design of such methods usually requires to carefully tune the algorithm for both the targeted physics and the hardware. In this paper, we propose a new approach that achieves high performance across architectures. Our method consists of expressing the FMM algorithm as a task flow and employing a state-of-the-art runtime system, StarPU, to process the tasks on the different computing units. We carefully design the task flow, the mathematical operators, their implementations, and scheduling schemes. Potentials and forces on 200 million particles are computed in 42.3 seconds on a homogeneous 160-core SGI Altix UV 100 and good scalability is shown.},
author = {Agullo, Emmanuel and Bramas, B{\'{e}}renger and Coulaud, Olivier and Darve, Eric and Messner, Matthias and Takahashi, Toru},
booktitle = {SIAM Journal on Scientific Computing},
doi = {10.1137/130915662},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Agullo et al. - 2013 - Task-based FMM for multicore architectures.pdf:pdf;:Users/coulaud/Recherche/Bibliographie/Mendeley/Agullo et al. - 2014 - Task-Based FMM for Multicore Architectures.pdf:pdf},
institution = {INRIA},
issn = {1064-8275},
keywords = {fast multipole methods,multicore architectures,pipeline,runtime system,shared memory paradigm},
month = {feb},
number = {1},
pages = {C66--C93},
title = {{Task-Based FMM for Multicore Architectures}},
type = {Research Report},
url = {http://hal.inria.fr/hal-00807368 http://epubs.siam.org/doi/abs/10.1137/130915662 http://dx.doi.org/10.1137/130915662},
volume = {36},
year = {2014}
}

@article{Agullo2016,
author = {Agullo, Emmanuel and Bramas, Berenger and Coulaud, Olivier and Darve, Eric and Messner, Matthias and Takahashi, Toru},
doi = {10.1002/cpe.3723},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Agullo et al. - 2016 - Task-based FMM for heterogeneous architectures.pdf:pdf},
issn = {15320626},
journal = {Concurrency and Computation: Practice and Experience},
keywords = {fast multipole methods,graphics processing unit,heterogeneous architectures,pipeline,runtime,runtime system,scheduling,system},
month = {jun},
number = {9},
pages = {2608--2629},
title = {{Task-based FMM for heterogeneous architectures}},
url = {http://doi.wiley.com/10.1002/cpe.3723},
volume = {28},
year = {2016}
}

@article{Agullo2017,
author = {Agullo, E. and Aumage, O. and Bramas, B. and Coulaud, O. and Pitoiset, S.},
doi = {10.1109/TPDS.2017.2697857},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Agullo et al. - 2017 - Bridging the gap between openMP and task-based runtime systems for the fast multipole method.pdf:pdf},
issn = {10459219},
journal = {IEEE Transactions on Parallel and Distributed Systems},
keywords = {High performance computing,OpenMP,commutativity,compiler,fast multipole method,multicore architecture,parallel programming model,priority,runtime system},
number = {10},
title = {{Bridging the gap between openMP and task-based runtime systems for the fast multipole method}},
volume = {28},
year = {2017}
}

@phdthesis{Blanchard2017,
abstract = {Advanced techniques for the low-rank approximation of matrices are crucial dimension re- duction tools in many domains of modern scienti c computing. Hierarchical approaches like H2-matrices, in particular the Fast Multipole Method (FMM), bene t from the block low-rank structure of certain matrices to reduce the cost of computing n-body problems to O(n) operations instead of O(n2). In order to better deal with kernels of various kinds, kernel independent FMM formulations have recently arisen such as polynomial interpola- tion based FMM. However, they are hardly tractable to high dimensional tensorial kernels, therefore we designed a new highly e cient interpolation based FMM, called the Uniform FMM, and implemented it in the parallel library ScalFMM. The method relies on an equis- paced interpolation grid and the Fast Fourier Transform (FFT). Performance and accuracy were compared with the Chebyshev interpolation based FMM. Numerical experiments on arti cial benchmarks showed that the loss of accuracy induced by the interpolation scheme was largely compensated by the FFT optimization. First of all, we extended both interpo- lation based FMM to the computation of the isotropic elastic elds involved in Dislocation Dynamics (DD) simulations. Second of all, we used our new FMM algorithm to accelerate a rank-r Randomized SVD and thus e ciently generate multivariate Gaussian random vari- ables on large heterogeneous grids in O(n) operations. Finally, we designed a new e cient dimensionality reduction algorithm based on dense random projection in order to investigate new ways of characterizing the biodiversity, namely from a geometric point of view.},
author = {Blanchard, Pierre},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Blanchard - 2017 - Fast hierarchical algorithms for the low-rank approximation of matrices, with applications to materials physics, geos.pdf:pdf},
keywords = {covariance matrix,dislocation dynamics,fast Fourier transform,fast multipole method,multidimensional scaling,random projection},
mendeley-groups = {These},
school = {Bordeaux},
title = {{Fast hierarchical algorithms for the low-rank approximation of matrices, with applications to materials physics, geostatistics and data analysis}},
url = {https://tel.archives-ouvertes.fr/tel-01534930},
year = {2017}
}

@article{IB-BGCRO-DR,
  title={A block minimum residual norm subspace solver for sequences of multiple left and right-hand side linear systems},
  author={Giraud, Luc and Jing, Yan-Fei and Xiang, Yanfei},
  year={2021},
  school={Inria Bordeaux Sud-Ouest}
}

@article{IB-BGMRES-DR,
  title={Block {GMRES} method with inexact breakdowns and deflated restarting},
  author={Agullo, Emmanuel and Giraud, Luc and Jing, Y-F},
  journal={SIAM Journal on Matrix Analysis and Applications},
  volume={35},
  number={4},
  pages={1625--1651},
  year={2014},
  publisher={SIAM}
}

@article{Odunlami2017,
author = {Odunlami, Marc and {Le Bris}, Vincent and B{\'{e}}gu{\'{e}}, Didier and Baraille, Isabelle and Coulaud, Olivier},
doi = {10.1063/1.4984266},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Odunlami et al. - 2017 - A-VCI A flexible method to efficiently compute vibrational spectra A-VCI A flexible method to efficiently com.pdf:pdf},
issn = {0021-9606},
journal = {{The Journal of Chemical Physics}},
month = {june},
number = {21},
pages = {214108},
title = {{A-VCI: A flexible method to efficiently compute vibrational spectra}},
url = {http://aip.scitation.org/doi/10.1063/1.4984266},
volume = {146},
year = {2017}
}


@book{adams1995hitchhiker,
  title={The Hitchhiker's Guide to the Galaxy},
  author={Adams, D.},
  isbn={9781417642595},
  url={http://books.google.com/books?id=W-xMPgAACAAJ},
  year={1995},
  publisher={San Val}
}

@article{agullo2017achieving,
  title={Achieving high performance on supercomputers with a sequential task-based programming model},
  author={Agullo, Emmanuel and Aumage, Olivier and Faverge, Mathieu and Furmento, Nathalie and Pruvost, Florent and Sergent, Marc and Thibault, Samuel Paul},
  journal={IEEE Transactions on Parallel and Distributed Systems},
  year={2017},
  publisher={IEEE}
}

@article{agullo:hal-01323192,
  TITLE = {{Numerical recovery strategies for parallel resilient Krylov linear solvers}},
  AUTHOR = {Agullo, Emmanuel and Giraud, Luc and Guermouche, Abdou and Roman, Jean and Zounon, Mawussi},
  URL = {https://hal.inria.fr/hal-01323192},
  JOURNAL = {{Numerical Linear Algebra with Applications}},
  PUBLISHER = {{Wiley}},
  VOLUME = {23},
  NUMBER = {5},
  PAGES = {888--905},
  YEAR = {2016},
  MONTH = Aug,
  DOI = {10.1002/nla.2059},
  PDF = {https://hal.inria.fr/hal-01323192/file/final_nlaa.pdf},
  HAL_ID = {hal-01323192},
  HAL_VERSION = {v1},
}
@article{agullo:hal-01347793,
  TITLE = {{Interpolation-restart strategies for resilient eigensolvers}},
  AUTHOR = {Agullo, Emmanuel and Giraud, Luc and Salas, Pablo and Zounon, Mawussi},
  URL = {https://hal.inria.fr/hal-01347793},
  JOURNAL = {{SIAM Journal on Scientific Computing}},
  PUBLISHER = {{Society for Industrial and Applied Mathematics}},
  VOLUME = {38},
  NUMBER = {5},
  PAGES = {C560-C583},
  YEAR = {2016},
  DOI = {10.1137/15M1042115},
  KEYWORDS = {numerical methods ; Arnoldi ; IRAM ; HPC ; subspace iteration ; Jacobi-Davidson ; keyword numerical resiliency ; hard fault ; fault tolerance ; eigenvalue problems ; linear algebra},
  PDF = {https://hal.inria.fr/hal-01347793/file/revised2_sisc_vp.pdf},
  HAL_ID = {hal-01347793},
  HAL_VERSION = {v1},
}
@article{agullo:hal-01940053,
  TITLE = {{Low-Rank Factorizations in Data Sparse Hierarchical Algorithms for Preconditioning Symmetric Positive Definite Matrices}},
  AUTHOR = {Agullo, Emmanuel and Darve, Eric and Giraud, Luc and Harness, Yuval},
  URL = {https://hal.inria.fr/hal-01940053},
  JOURNAL = {{SIAM Journal on Matrix Analysis and Applications}},
  PUBLISHER = {{Society for Industrial and Applied Mathematics}},
  VOLUME = {39},
  NUMBER = {4},
  PAGES = {1701-1725},
  YEAR = {2018},
  MONTH = Oct,
  PDF = {https://hal.inria.fr/hal-01940053/file/SPD_WHODLR_Precond_new3.pdf},
  HAL_ID = {hal-01940053},
  HAL_VERSION = {v1},
}
@article{agullo:hal-02074474,
  TITLE = {{Robust preconditioners via generalized eigenproblems for hybrid sparse linear solvers}},
  AUTHOR = {Agullo, Emmanuel and Giraud, Luc and Poirel, Louis},
  URL = {https://hal.inria.fr/hal-02074474},
  JOURNAL = {{SIAM Journal on Matrix Analysis and Applications}},
  PUBLISHER = {{Society for Industrial and Applied Mathematics}},
  VOLUME = {40},
  NUMBER = {2},
  PAGES = {417--439},
  YEAR = {2019},
  DOI = {10.1137/17M1153765},
  KEYWORDS = {Robust ; SPD linear systems ; Coarse space ; Preconditioning ; Scalable ; Generalized eigenvalue ; Parallel hybrid (direct/iterative) solver},
  PDF = {https://hal.inria.fr/hal-02074474/file/m115376R.pdf},
  HAL_ID = {hal-02074474},
  HAL_VERSION = {v1},
}
@article{agullo:hal-03022845,
  TITLE = {{On soft errors in the conjugate gradient method: sensitivity and robust numerical detection}},
  AUTHOR = {Agullo, Emmanuel and Cools, Siegfried and Fatih-Yetkin, Emrullah and Giraud, Luc and Schenkels, Nick and Vanroose, Wim},
  URL = {https://hal.inria.fr/hal-03022845},
  JOURNAL = {{SIAM Journal on Scientific Computing}},
  PUBLISHER = {{Society for Industrial and Applied Mathematics}},
  VOLUME = {42},
  NUMBER = {6},
  YEAR = {2020},
  MONTH = Nov,
  DOI = {10.1137/18M122858X},
  KEYWORDS = {Conjugate gradient ; Soft errors ; Bit-flip ; Numerical detection},
  PDF = {https://hal.inria.fr/hal-03022845/file/siam_paper_final.pdf},
  HAL_ID = {hal-03022845},
  HAL_VERSION = {v1},
}

@techreport{blanchard:hal-01228519,
  TITLE = {{Fast hierarchical algorithms for generating Gaussian random fields}},
  AUTHOR = {Blanchard, Pierre and Coulaud, Olivier and Darve, Eric},
  URL = {https://hal.inria.fr/hal-01228519},
  TYPE = {Research Report},
  NUMBER = {8811},
  INSTITUTION = {{Inria Bordeaux Sud-Ouest}},
  YEAR = {2015},
  MONTH = Dec,
  KEYWORDS = {covariance kernel matrices ; randomized SVD ; FFT ; H 2 -methods ; FMM ; multivariate Gaussian random variables},
  PDF = {https://hal.inria.fr/hal-01228519v2/file/RR-8811.pdf},
  HAL_ID = {hal-01228519},
  HAL_VERSION = {v2},
}
@article{buttari2008parallel,
  title={Parallel tiled {QR} factorization for multicore architectures},
  author={Buttari, Alfredo and Langou, Julien and Kurzak, Jakub and Dongarra, Jack},
  journal={Concurrency and Computation: Practice and Experience},
  volume={20},
  number={13},
  pages={1573--1590},
  year={2008},
  publisher={Wiley Online Library}
}

@phdthesis{falco:tel-02183902,
  TITLE = {{Combler l'{\'e}cart entre H-Matrices et m{\'e}thodes directes creuses pour la r{\'e}solution de syst{\`e}mes lin{\'e}aires de grandes tailles}},
  AUTHOR = {Falco, Aurelien},
  URL = {https://tel.archives-ouvertes.fr/tel-02183902},
  NUMBER = {2019BORD0090},
  SCHOOL = {{Universit{\'e} de Bordeaux}},
  YEAR = {2019},
  MONTH = Jun,
  KEYWORDS = {FEM/BEM coupling ; Finite elements ; Linear algebra ; Low-Rank compression ; H-Matrices ; Sparse matrices ; Couplage FEM/BEM ; El{\'e}ments finis ; Alg{\`e}bre lin{\'e}aire ; Compression de rang faible ; H-Matrices ; Matrices creuses},
  TYPE = {Theses},
  PDF = {https://tel.archives-ouvertes.fr/tel-02183902/file/FALCO_AURELIEN_2019.pdf},
  HAL_ID = {tel-02183902},
  HAL_VERSION = {v1},
}

@article{fmm,
abstract = {An algorithm is presented for the rapid evaluation of the potential and force fields in systems involving large numbers of particles whose interactions are Coulombic or gravitational in nature. For a system of N particles, an amount of work of the order O(N2) has traditionally been required to evaluate all pairwise interactions, unless some approximation or truncation method is used. The algorithm of the present paper requires an amount of work proportional to N to evaluate all interactions to within roundoff error, making it considerably more practical for large-scale problems encountered in plasma physics, fluid dynamics, molecular dynamics, and celestial mechanics.},
author = {Greengard, L and Rokhlin, V},
doi = {DOI: 10.1016/0021-9991(87)90140-9},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Greengard, Rokhlin - 1987 - A fast algorithm for particle simulations.pdf:pdf},
journal = {Journal of Computational Physics},
keywords = {boundary conditions},
mendeley-groups = {FMM et N-Body},
number = {2},
pages = {325--348},
title = {{A fast algorithm for particle simulations}},
url = {http://www.sciencedirect.com/science/article/B6WHY-4DD1T30-K7/2/2b3def8a3a8d71ff0d1697298ea6d2c8},
volume = {73},
year = {1987}
}

@article{gunter2005parallel,
  title={Parallel out-of-core computation and updating of the {QR} factorization},
  author={Gunter, Brian C and Van De Geijn, Robert A},
  journal={ACM Transactions on Mathematical Software (TOMS)},
  volume={31},
  number={1},
  pages={60--78},
  year={2005},
  publisher={ACM New York, NY, USA}
}

@book{hestenes1952methods,
  title={Methods of conjugate gradients for solving linear systems},
  author={Hestenes, Magnus Rudolph and Stiefel, Eduard and others},
  volume={49},
  number={1},
  year={1952},
  publisher={NBS Washington, DC}
}

@article{hmatrix,
author = {Hackbusch, Wolfgang},
file = {:Users/coulaud/Recherche/Bibliographie/Mendeley/Hackbusch - 2015 - Hierarchical Matrices Algorithms and Analysis.pdf:pdf},
issn = {0179-3632},
mendeley-groups = {Book},
pages = {xxv, 511},
title = {{Hierarchical Matrices: Algorithms and Analysis}},
volume = {49},
year = {2015}
}

@Article{lebris-2020,
author ="Le Bris, Vincent and Odunlami, Marc and Bégué, Didier and Baraille, Isabelle and Coulaud, Olivier",
title  ="Using computed infrared intensities for the reduction of vibrational configuration interaction bases",
journal  ="Phys. Chem. Chem. Phys.",
year  ="2020",
volume  ="22",
issue  ="13",
pages  ="7021-7030",
publisher  ="The Royal Society of Chemistry",
doi  ="10.1039/D0CP00593B",
url  ="http://dx.doi.org/10.1039/D0CP00593B"
}

@phdthesis{lize:tel-01244260,
  TITLE = {{R{\'e}solution directe rapide pour les {\'e}l{\'e}ments finis de fronti{\`e}re en {\'e}lectromagn{\'e}tisme et acoustique : $\mathcal{H}$-Matrices. Parall{\'e}lisme et applications industrielles}},
  AUTHOR = {Liz{\'e}, Beno{\^i}t},
  URL = {https://tel.archives-ouvertes.fr/tel-01244260},
  NUMBER = {2014PA132030},
  SCHOOL = {{Universit{\'e} Paris-Nord - Paris XIII}},
  YEAR = {2014},
  MONTH = Jun,
  KEYWORDS = {$\mathcal{H}$-matrice},
  TYPE = {Theses},
  PDF = {https://tel.archives-ouvertes.fr/tel-01244260/file/edgalilee_th_2014_lize.pdf},
  HAL_ID = {tel-01244260},
  HAL_VERSION = {v1},
}

@phdthesis{poirel:tel-02070618,
  TITLE = {{Algebraic domain decomposition methods for hybrid (iterative/direct) solvers}},
  AUTHOR = {Poirel, Louis},
  URL = {https://tel.archives-ouvertes.fr/tel-02070618},
  SCHOOL = {{Universit{\'e} de Bordeaux}},
  YEAR = {2018},
  MONTH = Nov,
  KEYWORDS = {domain decomposition methods ; parallel hybrid (direct/iterative) solver ; coarse space ; literate programming ; reproducible science ; methodes de decomposition de domaine ; solveur parall{\`e}le hybride (direct/iteratif) ; espace grossier ; programmation lettree ; science reproductible},
  TYPE = {Theses},
  PDF = {https://tel.archives-ouvertes.fr/tel-02070618/file/thesisLouisPoirel.pdf},
  HAL_ID = {tel-02070618},
  HAL_VERSION = {v1},
}

@inproceedings{reid1971method,
  title={On the method of conjugate gradients for the solution of large sparse systems of linear equations},
  author={Reid, John K},
  booktitle={Pro. the Oxford conference of institute of mathmatics and its applications},
  pages={231--254},
  year={1971}
}

@phdthesis{zounon:tel-01231838,
  TITLE = {{On numerical resilience in linear algebra}},
  AUTHOR = {Zounon, Mawussi},
  URL = {https://tel.archives-ouvertes.fr/tel-01231838},
  NUMBER = {2015BORD0038},
  SCHOOL = {{Universit{\'e} de Bordeaux}},
  YEAR = {2015},
  MONTH = Apr,
  KEYWORDS = {Fault tolerance ; Large scale numerical simulations ; Subspace iteration ; Power method ; Flexible GMRES ; Linear systems ; Eigenvalue problems ; Krylov subspaces ; Krylov methods ; Iterative methods ; Robustness ; Interpolation ; Resilience ; R{\'e}silience ; Interpolation ; Robustesse ; Restauration de donn{\'e}e ; M{\'e}thodes it{\'e}ratives ; M{\'e}thodes de type Krylov ; Sous espaces de Krylov ; Probl{\`e}mes de valeurs propres ; Syst{\`e}mes lin{\'e}aires ; Preconditionnement ; M{\'e}thode de puissance ; Simulation num{\'e}rique ; Calcul scientifique ; Parall{\'e}lisme ; It{\'e}ration de sous espace ; Tolerance aux pannes},
  TYPE = {Theses},
  PDF = {https://tel.archives-ouvertes.fr/tel-01231838v2/file/ZOUNON_MAWUSSI_2015.pdf},
  HAL_ID = {tel-01231838},
  HAL_VERSION = {v2},
}